libgimpprint API Reference: include/gimp-print/path.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/path.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: path_8h-source.html,v 1.1.1.2 2004/12/22 23:49:06 jlovell Exp $"
    00003  *
    00004  *   libgimpprint path functions header
    00005  *
    00006  *   Copyright 1997-2000 Michael Sweet (mike@easysw.com),
    00007  *      Robert Krawitz (rlk@alum.mit.edu) and Michael Natterer (mitch@gimp.org)
    00008  *   Copyright 2002 Roger Leigh (rleigh@debian.org)
    00009  *
    00010  *   This program is free software; you can redistribute it and/or modify it
    00011  *   under the terms of the GNU General Public License as published by the Free
    00012  *   Software Foundation; either version 2 of the License, or (at your option)
    00013  *   any later version.
    00014  *
    00015  *   This program is distributed in the hope that it will be useful, but
    00016  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00017  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00018  *   for more details.
    00019  *
    00020  *   You should have received a copy of the GNU General Public License
    00021  *   along with this program; if not, write to the Free Software
    00022  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00023  */
    00024
    00025 /*
    00026  * This file must include only standard C header files.  The core code must
    00027  * compile on generic platforms that don't support glib, gimp, gtk, etc.
    00028  */
    00029
    00030 #ifndef GIMP_PRINT_PATH_H
    00031 #define GIMP_PRINT_PATH_H
    00032
    00033 #ifdef __cplusplus
    00034 extern "C" {
    00035 #endif
    00036
    00037
    00038 extern stp_list_t *stp_path_search(stp_list_t *dirlist,
    00039                                    const char *suffix);
    00040
    00041 extern void stp_path_split(stp_list_t *list,
    00042                            const char *path);
    00043
    00044
    00045 #ifdef __cplusplus
    00046   }
    00047 #endif
    00048
    00049 #endif /* GIMP_PRINT_PATH_H */
    00050 /*
    00051  * End of "$Id: path_8h-source.html,v 1.1.1.2 2004/12/22 23:49:06 jlovell Exp $".
    00052  */